Retrieve Apple application details
Required Permission: mdm.apple.application.get
Retrieves detailed configuration and deployment status for a specific Apple enterprise application by identifier.
Request
authorization
Authorization: Bearer <token>
Responses
application/json
{
"status": true,
"data": {
"id": "698f22bb18f11470ce02da30",
"organization": "698f22bb18f11470ce02da30",
"admEnterprise": "698f22bb18f11470ce02da30",
"type": "build",
"config": {
"appStoreId": "1234567890",
"country": "US",
"buildId": "698f22bb18f11470ce02da30",
"mdmAssetId": "698f22bb18f11470ce02da30",
"applicationId": "698f22bb18f11470ce02da30",
"filter": "production"
},
"os": "ios",
"info": {},
"origin": "library",
"version": 5,
"updatedAt": "2026-02-10T14: 22:00Z",
"createdAt": "2026-01-15T10: 30:00Z"
}
}
application/json
{
"status": false,
"error": {
"code": 4002,
"message": "No auth token"
}
}
application/json
{
"status": false,
"error": {
"code": 3001,
"message": "Entity not found"
}
}